-- name: Arena - DX Stages
-- description: Adds stages from SM64 Coop DX (and Space Central) to the Arena selection! Compatible with base Coop as well!\n\ \n\Level by AngelicMiracles. Special thanks to AgentX and SonicDark. \n\n(\\#ff0000\\must enable Arena as well!\\#ffffff\\)

-- register the level here
LEVEL_ARENA_RAINBOW = level_register('level_arena_rainbow_entry', COURSE_NONE, 'Rainbow', 'rainbow', 28000, 0x28, 0x28, 0x28)
LEVEL_ARENA_SPACE = level_register('level_arena_space_entry', COURSE_NONE, 'Space', 'space', 28000, 0x28, 0x28, 0x28)
LEVEL_ARENA_CITY = level_register('level_arena_city_entry', COURSE_NONE, 'City', 'city', 28000, 0x28, 0x28, 0x28)

-- make sure we don't add the level twice
local sAddedLevels = false

function on_level_init()
    -- make sure we don't add the level twice
    if sAddedLevels then return end
    sAddedLevels = true

    -- make sure Arena was loaded
    if not _G.Arena then
        djui_popup_create("Error: the Arena gamemode wasn't loaded!", 2)
        return
    end

    -- add the level to arena
    _G.Arena.add_level(LEVEL_ARENA_RAINBOW, 'Rainbow')
    if _G.ShineThief then
        _G.ShineThief.add_painting(get_texture_info("painting_rainbow"))
    end
    _G.Arena.add_level(LEVEL_ARENA_SPACE, 'Space')
    if _G.ShineThief then
        _G.ShineThief.add_painting(get_texture_info("painting_space"))
    end
    _G.Arena.add_level(LEVEL_ARENA_CITY, 'City')
    if _G.ShineThief then
        _G.ShineThief.add_painting(get_texture_info("painting_city"))
    end
end

--Scrolling Stars
add_scroll_target(0, "arena_rainbow_dl_Bridge_mesh_layer_5_vtx_0", 0, 5523)

hook_event(HOOK_ON_LEVEL_INIT, on_level_init)
